| Talking Reminder this project is intenfed for people who are not tech savvy

Classes | Public Member Functions | List of all members
com.sudogeeks.talking_reminder.MainActivity.SimpleAdapter Class Reference

Adapter class (Inner Class) for implementing recycler view. More...

Inheritance diagram for com.sudogeeks.talking_reminder.MainActivity.SimpleAdapter:

## Classes
class | DateTimeComparator
class | ReminderItem
class | VerticalItemHolder

## Public Member Functions
void | onDeleteItem (int count)
void | removeItemSelected (int selected)
VerticalItemHolder | onCreateViewHolder (ViewGroup container, int viewType)
void | onBindViewHolder (VerticalItemHolder itemHolder, int position)
int | getItemCount ()
void | setItemCount (int count)
List< ReminderItem > | generateData (int count)

## Detailed Description

Adapter class (Inner Class) for implementing recycler view.

This class will handle how to display the reminder data on the main page.

Definition at line 405 of file MainActivity.java.

## Member Function Documentation

## ◆ generateData()

List<ReminderItem> com.sudogeeks.talking_reminder.MainActivity.SimpleAdapter.generateData | ( | int | count | ) |

Prepare data for each reminder item to facilitate proper displaying in the view. this Helper method required because all the data in database are not directly representable.

Parameters

  count |

Returns

Definition at line 475 of file MainActivity.java.

## ◆ getItemCount()

int com.sudogeeks.talking_reminder.MainActivity.SimpleAdapter.getItemCount | ( |  | ) |

Retuns the number of reminders in the database

Returns

Definition at line 458 of file MainActivity.java.

## ◆ onBindViewHolder()

void com.sudogeeks.talking_reminder.MainActivity.SimpleAdapter.onBindViewHolder | ( | VerticalItemHolder | itemHolder,
|  | int | position
| ) |  |

Bind a reminder item to a position in the main view Overridden method

Parameters

  itemHolder |
  position |

Definition at line 445 of file MainActivity.java.

## ◆ onCreateViewHolder()

VerticalItemHolder com.sudogeeks.talking_reminder.MainActivity.SimpleAdapter.onCreateViewHolder | ( | ViewGroup | container,
|  | int | viewType
| ) |  |

View holder for recycler view items Overridden method

Parameters

  container |
  viewType |

Returns
  an object of VerticalItemHolder

Definition at line 431 of file MainActivity.java.

The documentation for this class was generated from the following file:

- C:/Users/Raushan Raj/StudioProjects/TalkingReminder2/TalkingReminder/app/src/main/java/com/sudogeeks/talking_reminder/MainActivity.java